/****************************************************************************
 Include Section
*****************************************************************************/

#include "configurations.h"
#include "data.h"

/*****************************************************************************
 Global Variables
******************************************************************************/

.GLOBAL tx_buf;
.GLOBAL rx_buf;

/****************************************************************************/


.SECTION L1_data_a;
.ALIGN 4;


#if ( defined (SPI_MODE_TRC) || defined (SPI_TRANSMIT) ) && !defined (SPI_WDSIZE_16)
/*    .BYTE tx_buf[N] =   0x55,0x55,0x55,0x55,0xAA,0xAA,0xAA,0xAA,
                        0x66,0x66,0x66,0x66,0x99,0x99,0x99,0x99,
                        0x33,0x33,0x33,0x33,0xCC,0xCC,0xCC,0xCC,
                        0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,
                        0x00,0xFF,0x00,0xFF,0xFF,0x00,0xFF,0x00,
                        0x00,0x00,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
                        0xFF,0xFF,0xFF,0xFF,0x00,0x00,0xAB,0xCD;
*/
    .BYTE tx_buf[N] =   0x01,0x23,0x45,0x67,0x89,0xAB,0xCD,0xEF,
                        0x45,0x67,0x89,0xAB,0xCD,0xEF,0x01,0x23,
                        0x89,0xAB,0xCD,0xEF,0x01,0x23,0x45,0x67,
                        0xCD,0xEF,0x01,0x23,0x45,0x67,0x89,0xAB,
                        0x01,0x23,0x45,0x67,0x89,0xAB,0xCD,0xEF,
                        0x45,0x67,0x89,0xAB,0xCD,0xEF,0x01,0x23,
                        0x89,0xAB,0xCD,0xEF,0x01,0x23,0x45,0x67;
#endif

#if ( defined (SPI_MODE_TRC) || defined (SPI_TRANSMIT) ) && defined (SPI_WDSIZE_16)
/*    .BYTE2 tx_buf[N] =  0x5555,0x5555,0xAAAA,0xAAAA,
                        0x6666,0x6666,0x9999,0x9999,
                        0x3333,0x3333,0xCCCC,0xCCCC,
                        0x0F0F,0x0F0F,0xF0F0,0xF0F0,
                        0x00FF,0x00FF,0xFF00,0xFF00,
                        0x0000,0xFFFF,0xFFFF,0x0000,
                        0xFFFF,0xFFFF,0x0000,0xABCD;
*/
    .BYTE2 tx_buf[N] =  0x0123,0x4567,0x89AB,0xCDEF,
                        0x4567,0x89AB,0xCDEF,0x0123,
                        0x89AB,0xCDEF,0x0123,0x4567,
                        0xCDEF,0x0123,0x4567,0x89AB,
                        0x0123,0x4567,0x89AB,0xCDEF,
                        0x4567,0x89AB,0xCDEF,0x0123,
                        0x89AB,0xCDEF,0x0123,0x4567;
#endif

#if defined SPI_MODE_RCT
    #if defined SPI_WDSIZE_16
        .BYTE2 tx_buf[N];
    #else
        .BYTE tx_buf[N];
    #endif
#endif


/****************************************************************************/


.SECTION L1_data_a;
.ALIGN 4;
#if defined (SPI_RECEIVE) && !defined (SPI_WDSIZE_16)
/*    .BYTE tx_buf[N] =   0x55,0x55,0x55,0x55,0xAA,0xAA,0xAA,0xAA,
                        0x66,0x66,0x66,0x66,0x99,0x99,0x99,0x99,
                        0x33,0x33,0x33,0x33,0xCC,0xCC,0xCC,0xCC,
                        0x0F,0x0F,0x0F,0x0F,0xF0,0xF0,0xF0,0xF0,
                        0x00,0xFF,0x00,0xFF,0xFF,0x00,0xFF,0x00,
                        0x00,0x00,0xFF,0xFF,0xFF,0xFF,0x00,0x00,
                        0xFF,0xFF,0xFF,0xFF,0x00,0x00,0xAB,0xCD;
*/
    .BYTE tx_buf[N] =   0x01,0x23,0x45,0x67,0x89,0xAB,0xCD,0xEF,
                        0x45,0x67,0x89,0xAB,0xCD,0xEF,0x01,0x23,
                        0x89,0xAB,0xCD,0xEF,0x01,0x23,0x45,0x67,
                        0xCD,0xEF,0x01,0x23,0x45,0x67,0x89,0xAB,
                        0x01,0x23,0x45,0x67,0x89,0xAB,0xCD,0xEF,
                        0x45,0x67,0x89,0xAB,0xCD,0xEF,0x01,0x23,
                        0x89,0xAB,0xCD,0xEF,0x01,0x23,0x45,0x67;
#endif

#if defined (SPI_RECEIVE) && defined (SPI_WDSIZE_16)
/*    .BYTE2 tx_buf[N] =  0x5555,0x5555,0xAAAA,0xAAAA,
                        0x6666,0x6666,0x9999,0x9999,
                        0x3333,0x3333,0xCCCC,0xCCCC,
                        0x0F0F,0x0F0F,0xF0F0,0xF0F0,
                        0x00FF,0x00FF,0xFF00,0xFF00,
                        0x0000,0xFFFF,0xFFFF,0x0000,
                        0xFFFF,0xFFFF,0x0000,0xABCD;
*/
    .BYTE2 tx_buf[N] =  0x0123,0x4567,0x89AB,0xCDEF,
                        0x4567,0x89AB,0xCDEF,0x0123,
                        0x89AB,0xCDEF,0x0123,0x4567,
                        0xCDEF,0x0123,0x4567,0x89AB,
                        0x0123,0x4567,0x89AB,0xCDEF,
                        0x4567,0x89AB,0xCDEF,0x0123,
                        0x89AB,0xCDEF,0x0123,0x4567;
#endif

.BYTE4 tx_buf.END;

.SECTION L1_data_a;
.ALIGN 4;

#if defined SPI_WDSIZE_16
    .BYTE2 rx_buf[N];
#else
    .BYTE rx_buf[N];
#endif
.BYTE4 rx_buf.END;
